SMBLDAP-GROUPADD.CMD(8)

NAME
smbldap-groupadd - Create a new group

SYNOPSIS
smbldap-groupadd [-g gid ] [-a] [-o] [-r rid] [-s sid] [-t group type] [-p] group

DESCRIPTION
The smbldap-groupadd command creates a new group account using the values specified on the command line and the default values from the configuration file. The new group will be entered into the system files as needed. Available options are :

-g gid
   The numerical value of the group's ID. This value must be
   unique, unless the -o option is used. The value must be non-
   negative. The default is to use the smallest ID value greater
   than 1000 and greater than every other group.

-a
   add an automatic Security ID for the group (SID).

-b
   the group is also a AIX group

-o
   gid is not unique

-p
   print the gidNumber to stdout

-s sid
   set the group SID.
   The SID must be unique and defined with the domain Security ID
   ($SID) like sid=$SID-rid where rid is the group rid.

-r rid
   set the group rid.
   The SID is then calculated as sid=$SID-rid where $SID is the
   domain Security ID.

-t group type
   set the NT Group type for the new group. Available values are
   2 (domain group), 4 (local group) and 5 (builtin group).
   The default group type is 2.

SEE ALSO
groupadd(1)